Name:			sdlhazemd
Version:		0.14a
%define sversion 	%(sed -e "s/\\.//" <<<%{version})
%define distsuffix	plf
Release:		%mkrel 1

Summary:	Megadrive emulator based on SDL MAME
License:	Freeware
Group:		Emulators
URL:		http://rbelmont.mameworld.info/
Source0:	http://rbelmont.mameworld.info/%{name}%{sversion}.zip
Source1:	%{name}-wrapper
Source20:	http://cheat.retrogames.com/cheat0136.7z

BuildRequires:	SDL1.2-devel
BuildRequires:	expat-devel
BuildRequires:	zlib-devel
BuildRequires:	libxinerama-devel
BuildRequires:	gtk2-devel
BuildRequires:	libGConf2-devel
BuildRequires:	p7zip
#ExclusiveArch:	%ix86 x86_64 ppc
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
SDL Haze MD is a Megadrive emulator based on SDL MAME.

This package is in PLF because of Mandriva policy regarding emulators.

%prep
%setup -q -n %{name}%{sversion}
perl -pi -e "s|-Werror||g" makefile
7za x %{SOURCE20}

%build
#notes:
#optimizing for specific processor adds suffixes:
#example pentiumpro "pp" : I686=1
#compiling the debugger always adds (and only) suffix "d" : DEBUG=1
#DRC options are forced ion / off in the makefile depending on the arch :
#no need for X86_MIPS3_DRC= X86_PPC_DRC=
#SYMBOLS=1 for a -debug package
%make PREFIX="sdl" \
 PM= \
 OPTIMIZE=1 \
 BUILD_ZLIB= \
 BUILD_EXPAT= \
%ifarch x86_64 alpha ia64 ppc64
 PTR64=1
%endif
%ifarch ppc
 PPC=1
%endif
#ifarch %ix86
# I686=1
#endif
# OPT_FLAGS="%optflags" \

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_gamesbindir}
install -m 755 %{name}* %{buildroot}/%{_gamesbindir}/%{name}.real

#tools built :
#chdman romcmp jedutils file2str...
#useful to manage roms
#install -m 755 chdman %{buildroot}%{_gamesbindir}/chdman-%{name}
#install -m 755 romcmp %{buildroot}%{_gamesbindir}/romcmp-%{name}
#useful to create a new keymap
install -m 755 testkeys %{buildroot}%{_gamesbindir}/testkeys-%{name}

#cheats
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}
install -m 644 cheat.zip %{buildroot}/%{_gamesdatadir}/%{name}/

#ui font
install -m 644 ui.bdf %{buildroot}/%{_gamesdatadir}/%{name}/

#keymaps
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}/keymaps
install -m 644 keymaps/* %{buildroot}/%{_gamesdatadir}/%{name}/keymaps/

#install wrapper
install -m 755 %{SOURCE1} %{buildroot}%{_gamesbindir}/%{name}

%files
%defattr(-,root,root)
%doc SDLHAZEMD.txt hazemd.txt docs/*
%attr(0755,root,games) %{_gamesbindir}/%{name}*
%attr(0755,root,games) %{_gamesbindir}/*-%{name}
#{_mandir}/man1/%{name}.1*
%{_gamesdatadir}/%{name}

%clean
rm -rf %{buildroot}

%changelog
* Sun Jan 10 2010 Guillaume Bedot <littletux@zarb.org> 0.14a-1plf2010.1
- First PLF package
